#include "noise.h"

#include <cstddef>

Image* noise::gen(short w, short h, int x, int y) {
	switch (this->type) {
		case CLOUD:
			return cloud(this,w, h, x, y);
		case RANDOM:
			return random(this,w, h, x, y);
		default:
			return nullptr;
	}
}

Image* cloud(noise* noise,short w, short h,int x, int y) {
	
	
}
Image* random(noise* noise,short w, short h,int x, int y) {
	
}